-- | Module defining an abstract data type describing the 
-- connectivity among a collection of OpenFlow switches.
module Nettle.Discovery.Topology 
    (
     Port
    ,Link
    ,Topology
    ,unTopology
    ,merge
    ,empty
    ,link
    ,addLink
    ,removeSwitch
    ,combine
    ,removeLink
    ,removePort
    ,subset
    ,containsDataPathID
    ,containsPort
    )
    where

import Nettle.Discovery.Topology_Internal